commit:     b621cd566bff60005c14c24a85e7f65da59513c2
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 24 03:56:54 2018 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Jul 24 03:56:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b621cd56

app-emulation/buildah: version bump to 1.2

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 app-emulation/buildah/Manifest           |  1 +
 app-emulation/buildah/buildah-1.2.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/app-emulation/buildah/Manifest b/app-emulation/buildah/Manifest
index a7372b56026..fcd94369690 100644
--- a/app-emulation/buildah/Manifest
+++ b/app-emulation/buildah/Manifest
@@ -1 +1,2 @@
 DIST buildah-1.1.tar.gz 4253820 BLAKE2B 
ae30a677a2f569d87da0ab85732078912598cf25f7b22ad25540f5d89797983a8549eef1bc8d151d4e0be078b97e024df145bb882bdd8443becb07774bfb5875
 SHA512 
9957590d7413436195307746682496616fd2350b832242f33fb4cb07c1144addae445eeff062f403d26a68329f1153468489032bc9bbcf870839c760a720ef95
+DIST buildah-1.2.tar.gz 4403310 BLAKE2B 
df3a1d12a41e9d585d3191103140fc232a2c247283996f394bd151f61615057b15d934e165be47794465c30217c32b3e6b53fbf4d2ef5a2f3349840dadad8171
 SHA512 
0aac0a80c3c50f0171199e549c0321ce1a756ca838dd9d92b0b0d58bd6b4e212390642c8a4a2aea794616292058624ab0c8707d2ea0cdcbcc555b387df611dc2

diff --git a/app-emulation/buildah/buildah-1.2.ebuild 
b/app-emulation/buildah/buildah-1.2.ebuild
new file mode 100644
index 00000000000..437d140179f
--- /dev/null
+++ b/app-emulation/buildah/buildah-1.2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit bash-completion-r1 golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="A tool that facilitates building OCI images"
+HOMEPAGE="https://github.com/projectatomic/buildah";
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="ostree selinux"
+EGO_PN="${HOMEPAGE#*//}"
+EGIT_COMMIT="v${PV}"
+GIT_COMMIT="be87762"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+RDEPEND="app-crypt/gpgme:=
+       app-emulation/skopeo
+       dev-libs/libgpg-error:=
+       dev-libs/libassuan:=
+       sys-fs/lvm2:=
+       sys-libs/libseccomp:=
+       selinux? ( sys-libs/libselinux:= )"
+DEPEND="${RDEPEND}"
+RESTRICT="test"
+REQUIRED_USE="!selinux? ( !ostree )"
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_prepare() {
+       default
+       sed -e 's|^\(GIT_COMMIT := \).*|\1'${GIT_COMMIT}'|' -i Makefile || die
+
+       [[ -f ostree_tag.sh ]] || die
+       use ostree || { echo -e "#!/bin/sh\necho containers_image_ostree_stub" 
> \
+               ostree_tag.sh || die; }
+
+       [[ -f selinux_tag.sh ]] || die
+       use selinux || { echo -e "#!/bin/sh\ntrue" > \
+               selinux_tag.sh || die; }
+}
+
+src_compile() {
+       GOPATH="${WORKDIR}/${P}" emake all
+}
+
+src_install() {
+       dodoc CHANGELOG.md CONTRIBUTING.md README.md troubleshooting.md
+       doman docs/*.1
+       dodoc -r docs/tutorials
+       dobin ${PN} imgtype
+       dobashcomp contrib/completions/bash/buildah
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}" emake test-unit
+}

Reply via email to